AAFConstants (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.aaf

## Interface AAFConstants

- All Superinterfaces:
    CommonConstants
  All Known Implementing Classes:
    AAFBuilder, AAFFactory

      public interface AAFConstants
      extends CommonConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `AAFSignatureSSBin4K`
    `static byte[]` | `AAFSignatureSSBin4KBytes`
    `static AUID` | `AAFSignatureSSBinary`
    `static byte[]` | `AAFSignatureSSBinaryBytes`
    `static AUID` | `ByteOrderPropertyID`
    `static String[]` | `classNameAliases`
    `static String[]` | `directoryNameAliases`
    `static AUID` | `IdentificationGenerationIDProperty`
    `static AUID` | `LocalIdentificationProperty`
    `static boolean` | `MAP_SS_CLASS_NAMES`
    `static boolean` | `MAP_SS_DIRECTORY_NAMES` Should structured storage directory names be mapped back to pre-unified AAF names on the writing of AAF files.
    `static boolean` | `MAP_SS_PROPERTY_NAMES`
    `static boolean` | `MAP_SS_TYPE_NAMES`
    `static String` | `META_DICTIONARY_DIRNAME`
    `static AUID` | `MetaDefinitionIDProperty`
    `static Object` | `ParametersID`
    `static String` | `PREFACE_DIRNAME`
    `static String` | `PROPERTIES_STREAMNAME`
    `static String[]` | `propertyNameAliases`
    `static String` | `REFERENCED_PROPERTIES_STREAMNAME`
    `static byte[]` | `rootEntryClassID`
    `static AUID` | `RootMetaDictionaryProperty`
    `static AUID` | `RootPrefaceProperty`
    `static short` | `SF_DATA`
    `static short` | `SF_DATA_STREAM`
    `static short` | `SF_STRONG_OBJECT_REFERENCE`
    `static short` | `SF_STRONG_OBJECT_REFERENCE_SET`
    `static short` | `SF_STRONG_OBJECT_REFERENCE_VECTOR`
    `static short` | `SF_WEAK_OBJECT_REFERENCE`
    `static short` | `SF_WEAK_OBJECT_REFERENCE_SET`
    `static short` | `SF_WEAK_OBJECT_REFERENCE_VECTOR`
    `static int` | `STREAM_CHUNK_SIZE`
    `static String[]` | `typeNameAliases`

    - ### Fields inherited from interface tv.amwa.maj.constant.CommonConstants

      `AAF_METADICT_NAMESPACE, AAF_METADICT_PREFIX, AAF_XML_NAMESPACE, AAF_XML_PREFIX, ApplicationPluginObjectID, ApplicationPluginsID, MAX_NUM_RGBA_COMPS, MemberOfID, ObjectClassID, ParentClassID, PropertiesID, XMLClassIDAsAttributeName`

- - ### Field Detail

    - #### ByteOrderPropertyID

          static final AUID ByteOrderPropertyID

    - #### RootPrefaceProperty

          static final AUID RootPrefaceProperty

    - #### RootMetaDictionaryProperty

          static final AUID RootMetaDictionaryProperty

    - #### LocalIdentificationProperty

          static final AUID LocalIdentificationProperty

    - #### MetaDefinitionIDProperty

          static final AUID MetaDefinitionIDProperty

    - #### IdentificationGenerationIDProperty

          static final AUID IdentificationGenerationIDProperty

    - #### AAFSignatureSSBinaryBytes

          static final byte[] AAFSignatureSSBinaryBytes

    - #### AAFSignatureSSBinary

          static final AUID AAFSignatureSSBinary

    - #### AAFSignatureSSBin4KBytes

          static final byte[] AAFSignatureSSBin4KBytes

    - #### AAFSignatureSSBin4K

          static final AUID AAFSignatureSSBin4K

    - #### rootEntryClassID

          static final byte[] rootEntryClassID

    - #### SF_DATA

          static final short SF_DATA

      See Also:
        Constant Field Values

    - #### SF_DATA_STREAM

          static final short SF_DATA_STREAM

      See Also:
        Constant Field Values

    - #### SF_STRONG_OBJECT_REFERENCE

          static final short SF_STRONG_OBJECT_REFERENCE

      See Also:
        Constant Field Values

    - #### SF_STRONG_OBJECT_REFERENCE_VECTOR

          static final short SF_STRONG_OBJECT_REFERENCE_VECTOR

      See Also:
        Constant Field Values

    - #### SF_STRONG_OBJECT_REFERENCE_SET

          static final short SF_STRONG_OBJECT_REFERENCE_SET

      See Also:
        Constant Field Values

    - #### SF_WEAK_OBJECT_REFERENCE

          static final short SF_WEAK_OBJECT_REFERENCE

      See Also:
        Constant Field Values

    - #### SF_WEAK_OBJECT_REFERENCE_VECTOR

          static final short SF_WEAK_OBJECT_REFERENCE_VECTOR

      See Also:
        Constant Field Values

    - #### SF_WEAK_OBJECT_REFERENCE_SET

          static final short SF_WEAK_OBJECT_REFERENCE_SET

      See Also:
        Constant Field Values

    - #### META_DICTIONARY_DIRNAME

          static final String META_DICTIONARY_DIRNAME

      See Also:
        Constant Field Values

    - #### PREFACE_DIRNAME

          static final String PREFACE_DIRNAME

      See Also:
        Constant Field Values

    - #### PROPERTIES_STREAMNAME

          static final String PROPERTIES_STREAMNAME

      See Also:
        Constant Field Values

    - #### REFERENCED_PROPERTIES_STREAMNAME

          static final String REFERENCED_PROPERTIES_STREAMNAME

      See Also:
        Constant Field Values

    - #### MAP_SS_DIRECTORY_NAMES

          static final boolean MAP_SS_DIRECTORY_NAMES

      Should structured storage directory names be mapped back to pre-unified AAF names on the writing of AAF files.

      See Also:
        `directoryNameAliases`, Constant Field Values

    - #### directoryNameAliases

          static final String[] directoryNameAliases

    - #### MAP_SS_PROPERTY_NAMES

          static final boolean MAP_SS_PROPERTY_NAMES

      See Also:
        Constant Field Values

    - #### propertyNameAliases

          static final String[] propertyNameAliases

    - #### MAP_SS_CLASS_NAMES

          static final boolean MAP_SS_CLASS_NAMES

      See Also:
        Constant Field Values

    - #### classNameAliases

          static final String[] classNameAliases

    - #### MAP_SS_TYPE_NAMES

          static final boolean MAP_SS_TYPE_NAMES

      See Also:
        Constant Field Values

    - #### typeNameAliases

          static final String[] typeNameAliases

    - #### ParametersID

          static final Object ParametersID

    - #### STREAM_CHUNK_SIZE

          static final int STREAM_CHUNK_SIZE

      See Also:
        Constant Field Values

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.